# $Revision: 1.19 $, $Date: 2002/08/25 18:40:58 $
%define		mod_name	cvs
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: Automatically updates files in a CVS-based webtree
Summary(pl):	Modu do apache: Automatyczne uaktualnianie plikw z drzewa CVS
Name:		apache-mod_%{mod_name}
Version:	0.5
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.sub.nu/pub/mod_cvs/mod_%{mod_name}-%{version}.tar.gz
URL:		http://www.sub.nu/mod_cvs/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel
BuildRequires:	zlib-devel
Prereq:		%{_sbindir}/apxs
Requires:	apache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
Apache module: Automatically updates files in a CVS-based webtree.

%description -l pl
Modu do apache: Automatyczne uaktualnianie plikw z drzewa CVS.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{apxs} -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_cvs.spec,v $
Revision 1.19  2002/08/25 18:40:58  kloczek
- add README to %doc.

Revision 1.18  2002/08/25 08:39:18  marcus
- rel.4.

Revision 1.17  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.16  2002/04/25 15:45:40  arturs
fixed a small typo

Revision 1.15  2002/03/23 22:09:31  serek
- fixes several bugs, update to current cvs releases, STBR now.

Revision 1.14  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/17 21:05:33  ankry
- release 3

Revision 1.11  2002/02/17 18:52:19  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.10  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/27 09:44:26  qboosh
- added Source0 URL (note: there is 0.5 on ftp)

Revision 1.8  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.7  2001/04/19 04:32:20  kloczek
- cosmetics.

Revision 1.6  2001/04/16 20:19:09  baggins
- release 2
- fixed %%description

Revision 1.5  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.2  2000/03/02 18:49:09  misiek
- added build req

Revision 1.1  2000/02/21 13:36:44  waszi
- initial release
